# opentl::core::cvdata::CvData Class Reference

Inherited by opentl::core::cvdata::Pose, opentl::core::cvdata::ShapeAppearance, opentl::core::cvdata::Skeleton, opentl::core::cvdata::TimedData, and opentl::core::cvdata::VisualFeatures.

List of all members.

## Public Types
## Public Member Functions
| CvData (const CvData &cvdata)
| Copy Constructor.
| CvData (DataReprType type)
| Constructor.
virtual CvData & | operator= (const CvData &data)
DataReprType | type () const
| Returns the data representation type/format the derived class is storing.
virtual | ~CvData ()
| Destructor.
## Protected Attributes
const DataReprType | mDataReprType

## Member Enumeration Documentation

enum opentl::core::cvdata::CvData::DataReprClass

Enumerator:

  POSE_2D |
  POSE_3D |

enum opentl::core::cvdata::CvData::DataReprType

ENUM type specifying the derived classes of CvData.

Enumerator:

  POSE_2D_AFFINE |
  POSE_2D_TRANSLATION |
  POSE_2D_1SCALE_TRANSLATION |
  POSE_2D_1SCALE_ROTO_TRANSLATION |
  POSE_2D_2SCALE_TRANSLATION |
  POSE_2D_2SCALE_ROTO_TRANSLATION |
  POSE_2D_ROTO_TRANSLATION |
  POSE_2D_HOMOGRAPHY |
  POSE_2D_DEFORMABLE_MESH |
  POSE_3D_PLANAR_ROTO_TRANSLATION |
  POSE_3D_EULER_ROTO_TRANSLATION |
  POSE_3D_EULER_ROTATION |
  POSE_3D_PROJECTIVE |
  POSE_3D_TRANSLATION |
  POSE_3D_ROTATION_ZAXIS |
  POSE_3D_HOM |
  POSE_ARTICULATED |
  POSE_2D_ARTICULATED |
  POSE_3D_ARTICULATED |
  POSE_NULL |
  POSE_2D_ROTATION |
  POSE_2D_2SCALE_ROTATION |
  POSE_MULTI_PART_SYNCHRONOUS |
  POSE_2D_MULTI_PART_SYNCHRONOUS |
  POSE_3D_MULTI_PART_SYNCHRONOUS |
  POSE_3D_ROTATION_XAXIS |
  POSE_3D_ROTATION_YAXIS |
  POSE_3D_ROTATION_XYAXIS |
  POSE_3D_ROTATION_XYAXIS_TRANSLATION |
  POSE_3D_ROTATION_XZAXIS_TRANSLATION |
  POSE_3D_ROTATION_YZAXIS_TRANSLATION |
  POSE_3D_ROTATION_ZAXIS_TRANSLATION |
  COLOUR_HIST_2D |
  LUCAS_KANADE_FEATURES |
  IMAGE |
  HARRIS_KEYPOINTS |
  SHAPE_APPEARANCE |
  SKELETON |
  SURF_FEATURES |
  VIS_CONTOUR_SAMPLE_PTS |
  BLOB_FEATURES |
  TEMPLATE_MAP |
  COLOR_GMM |
  TEXTURE_GPU |
  GPS_GAUSS_KRUEGER |
  GPS_UTM |
  ODOMETRY |
  CAR_STATE |
  POINT_CLOUD |

## Constructor & Destructor Documentation

opentl::core::cvdata::CvData::CvData | ( | DataReprType | type | ) |

Constructor.

Parameters:

  | type | CvData type

opentl::core::cvdata::CvData::CvData | ( | const CvData & | cvdata | ) |

Copy Constructor.

virtual opentl::core::cvdata::CvData::~CvData | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual CvData& opentl::core::cvdata::CvData::operator= | ( | const CvData & | data | ) | `[virtual]`

Reimplemented in opentl::core::cvdata::SurfFeatures, and opentl::core::cvdata::TemplateMap.

DataReprType opentl::core::cvdata::CvData::type | ( |  | ) | const

Returns the data representation type/format the derived class is storing.

Returns:
  ENUM DataReprType.

## Member Data Documentation

const DataReprType opentl::core::cvdata::CvData::mDataReprType`[protected]`